petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscBagSetOptionsPrefix

Sets the prefix used for searching for all PetscBag items in the options database.

### Synopsis

    #include "petscbag.h"
    PetscErrorCode PetscBagSetOptionsPrefix(PetscBag bag, const char pre[])

Logically collective on Bag.

### Input Parameters

| bag | - the bag of values
| prefix | - the prefix to prepend all Bag item names with.

NOTES: Must be called prior to registering any of the bag items.

### See Also

PetscBag, PetscBagRegisterReal(), PetscBagRegisterInt(), PetscBagRegisterBool(), PetscBagRegisterScalar()
PetscBagSetFromOptions(), PetscBagCreate(), PetscBagDestroy(), PetscBagRegisterEnum()

### Level

Intermediate

### Location

src/sys/classes/bag/bag.c

### Examples

src/sys/examples/tutorials/ex5.c.html
src/sys/examples/tutorials/ex5f90.F90.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages